import { FC } from 'react';
import { TextProps } from './text';
import { ParagraphProps } from './paragraph';
import { PageTitleProps } from './PageTitle';
import { AllDivProps, DivProps } from './div';
import { HeadingProps } from './heading';
import { MarkdownProps } from './Markdown';
import { CodeProps } from './Code';
import { FormProps, ModelFormProps } from './form';
import { FormFieldProps } from './FormField';
import { ButtonProps } from './button';
import { LinkComp, LinkProps, LinkRender } from './link';
import { LinkListProps } from './LinkList';
import { NavbarProps } from './navbar';
import { ModalProps } from './modal';
import { TableProps } from './table';
import { PaginationProps } from './pagination';
import { DetailsProps } from './details';
import { AllDisplayProps, DisplayPrimitiveProps } from './display';
import { JsonProps } from './Json';
import { ServerLoadProps } from './ServerLoad';
export type { TextProps, ParagraphProps, PageTitleProps, AllDivProps, DivProps, HeadingProps, MarkdownProps, CodeProps, FormProps, ModelFormProps, FormFieldProps, ButtonProps, ModalProps, TableProps, PaginationProps, DetailsProps, LinkProps, LinkListProps, NavbarProps, AllDisplayProps, DisplayPrimitiveProps, JsonProps, ServerLoadProps, };
export { LinkComp, LinkRender };
export type FastProps = TextProps | ParagraphProps | PageTitleProps | AllDivProps | DivProps | HeadingProps | MarkdownProps | CodeProps | FormProps | ModelFormProps | FormFieldProps | ButtonProps | ModalProps | TableProps | PaginationProps | DetailsProps | LinkProps | LinkListProps | NavbarProps | AllDisplayProps | JsonProps | ServerLoadProps;
export type FastClassNameProps = Exclude<FastProps, TextProps | AllDisplayProps | ServerLoadProps | PageTitleProps>;
export declare const AnyCompList: FC<{
    propsList: FastProps[];
}>;
export declare const AnyComp: FC<FastProps>;
