import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { LocationProvider } from './hooks/locationContext';
import { FastUIController } from './controller';
import { ClassNameContext } from './hooks/className';
import { ErrorContextProvider } from './hooks/error';
import { ConfigContext } from './hooks/config';
import { DevReload } from './dev';
export * as components from './components';
export * as events from './events';
export { useClassName, renderClassName } from './hooks/className';
export { pathMatch } from './hooks/locationContext';
export { EventContextProvider } from './hooks/eventContext';
export function FastUI(props) {
    const { classNameGenerator, DisplayError, devMode, ...rest } = props;
    return (_jsx("div", { className: "fastui", children: _jsx(ErrorContextProvider, { DisplayError: DisplayError, children: _jsx(LocationProvider, { children: _jsx(ClassNameContext.Provider, { value: classNameGenerator ?? null, children: _jsxs(ConfigContext.Provider, { value: rest, children: [_jsx(DevReload, { enabled: devMode }), _jsx(FastUIController, {})] }) }) }) }) }));
}
