export declare function useRequest(): (args: RequestArgs) => Promise<[number, any]>;
export declare function useSSE(url: string, onMessage: (data: any) => void): void;
export interface RequestArgs {
    url: string;
    method?: 'GET' | 'POST' | 'PUT' | 'DELETE';
    expectedStatus?: number[];
    query?: Record<string, string> | URLSearchParams;
    json?: Record<string, any>;
    formData?: FormData;
    headers?: Record<string, string>;
}
export declare function unreachable(msg: string, unexpectedValue: never, args?: any): void;
type Callable = (...args: any[]) => void;
export declare function debounce<C extends Callable>(fn: C, delay: number): C;
export declare function sleep(ms: number): Promise<void>;
export declare const asTitle: (s: string) => string;
export {};
